<link rel="import" href="frontend://bower_components/vaadin-button/vaadin-button.html">
<link rel="import" href="frontend://bower_components/vaadin-text-field/vaadin-text-field.html">
<link rel="import" href="frontend://bower_components/vaadin-text-field/vaadin-password-field.html">
<link rel="import" href="frontend://bower_components/vaadin-ordered-layout/vaadin-vertical-layout.html">
<link rel="import" href="frontend://bower_components/uibuilder-window/uibuilder-window.html">

<uibuilder-page id="login-page" style="margin: auto">
    <style>
        .center {
            align-items: center;
            margin: auto;
            width: 450px;
        }
    </style>

    <div class="center">
        <vaadin-vertical-layout style="align-items: center">
            <vaadin-text-field id="username"
                               label="Username"
                               value="{{loginController.username}}"
                               style="width: 100%">
            </vaadin-text-field>
            <vaadin-password-field id="password"
                                   label="Password"
                                   value="{{loginController.password}}"
                                   style="width: 100%">
            </vaadin-password-field>
            <vaadin-button id="login-button" on-click="loginController::login">Login</vaadin-button>
        </vaadin-vertical-layout>

        <p>
            There are 2 predefined user in this example application,<br>
            with the following username/password pairs:
        </p>
        <ul>
            <li>admin/admin</li>
            <li>user/user</li>
        </ul>

        <uibuilder-window id="error-window" header-text="Login failed!">
            <div>
                <h2 style="color: #c70000;">Invalid username or password!</h2>
                <vaadin-button on-click="loginController::errorClose">Ok</vaadin-button>
            </div>
        </uibuilder-window>
    </div>

    <script>
        document.getElementById("password")
            .addEventListener("keyup", function (event) {
                if (event.key === "Enter") {
                    document.getElementById("login-button").click();
                }
            })
    </script>
</uibuilder-page>